diff --git a/src/backend/access/transam/xlog.c b/src/backend/access/transam/xlog.c
index dea978a962..888f5b1bff 100644
--- a/src/backend/access/transam/xlog.c
+++ b/src/backend/access/transam/xlog.c
@@ -8842,8 +8842,8 @@ do_pg_abort_backup(int code, Datum arg)
 	bool		during_backup_start = DatumGetBool(arg);
 
 	/* Only one of these conditions can be true */
-	Assert(during_backup_start ^
-		   (sessionBackupState == SESSION_BACKUP_RUNNING));
+	Assert(!(during_backup_start &&
+			 (sessionBackupState == SESSION_BACKUP_RUNNING)));
 
 	if (during_backup_start || sessionBackupState != SESSION_BACKUP_NONE)
 	{
